node-marked (18.0.6+~cs7.2.17-1) unstable; urgency=medium

  * Team upload

  [ Bastien Roucariès ]
  * Add test for submodule
  * Add test for mangled

  [ Xavier Guimard ]
  * New upstream version 18.0.6+~cs7.2.17
  * Unfuzz patches

 -- Xavier Guimard <yadd@debian.org>  Thu, 16 Jul 2026 11:57:10 +0200

node-marked (18.0.5+~cs7.2.17-2) unstable; urgency=medium

  * Team upload
  * Build typescript declarations (Closes: #1140500)

 -- Xavier Guimard <yadd@debian.org>  Sun, 21 Jun 2026 20:52:03 +0200

node-marked (18.0.5+~cs7.2.17-1) unstable; urgency=medium

  * Team upload
  * New upstream version 18.0.5
  * Switch main build from rollup to esbuild (upstream build system)
  * marked is now ESM-only (upstream dropped CommonJS since v5)
  * Refresh patches; drop reproducible.patch and slow_tests.patch
    (obsolete)
  * Rework autopkgtest as an ESM smoke test (upstream switched to
    node:test)
  * Update build dependencies (add esbuild; drop jest, jasmine, terser,
    babel, and other now-unused build deps)
  * Breaks node-marked-man (<< 2.1.1-2~): older versions use the removed
    positional renderer API

 -- Xavier Guimard <yadd@debian.org>  Sun, 21 Jun 2026 11:24:30 +0200

node-marked (4.3.0+ds1+~cs10.2.23-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)

  [ Xavier Guimard ]
  * Don't mix group and checksum into debian/watch and repack

  [ Bastien Roucariès ]
  * Fix plugin FTBFS for jupyterlab

 -- Bastien Roucariès <rouca@debian.org>  Fri, 12 Jun 2026 17:11:36 +0200

node-marked (4.3.0+ds1+~4.0.8+~3.1.2+~cs3.1.13-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Embed marked-mangle, github-slugger, marked-gfm-heading-id

 -- Bastien Roucariès <rouca@debian.org>  Fri, 12 Jun 2026 13:56:50 +0200

node-marked (4.2.3+ds+~4.0.7-4) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Allow test to be even slower

 -- Jérémy Lal <kapouer@melix.org>  Sat, 05 Apr 2025 14:44:05 +0200

node-marked (4.2.3+ds+~4.0.7-3) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * patch: allow tests to be slower

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Feb 2024 11:32:12 +0100

node-marked (4.2.3+ds+~4.0.7-2) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 12:21:15 +0100

node-marked (4.2.3+ds+~4.0.7-1) experimental; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * New upstream version 4.2.3+ds+~4.0.7
  * Update patches
  * Update build

 -- Yadd <yadd@debian.org>  Wed, 30 Nov 2022 18:20:59 +0100

node-marked (4.2.2+ds+~4.0.7-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * New upstream version 4.2.2+ds+~4.0.7

 -- Yadd <yadd@debian.org>  Sun, 06 Nov 2022 11:08:38 +0100

node-marked (4.1.0+ds+~4.0.6-2) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Add fix for rollup 3 (Closes: #1022635)

 -- Yadd <yadd@debian.org>  Wed, 26 Oct 2022 14:33:07 +0200

node-marked (4.1.0+ds+~4.0.6-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * New upstream version 4.1.0+ds+~4.0.6

 -- Yadd <yadd@debian.org>  Thu, 01 Sep 2022 17:10:49 +0200

node-marked (4.0.18+ds+~4.0.5-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * New upstream version 4.0.18+ds+~4.0.5

 -- Yadd <yadd@debian.org>  Fri, 19 Aug 2022 10:30:17 +0200

node-marked (4.0.17+ds+~4.0.3-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Replace embedded parse5-sax-parser by link to debian module
  * Update test dependencies (Closes: #1013989)
  * New upstream version 4.0.17+ds+~4.0.3

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 11:04:17 +0200

node-marked (4.0.16+ds+~4.0.3-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Declare compliance with policy 4.6.1
  * New upstream version 4.0.16+ds+~4.0.3

 -- Yadd <yadd@debian.org>  Wed, 18 May 2022 08:30:42 +0200

node-marked (4.0.12+ds+~4.0.1-2) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Enable upstream test (jasmine)

 -- Yadd <yadd@debian.org>  Tue, 15 Feb 2022 18:50:59 +0100

node-marked (4.0.12+ds+~4.0.1-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * New upstream version 4.0.12+ds+~4.0.1
  * Update copyright

 -- Yadd <yadd@debian.org>  Fri, 28 Jan 2022 15:50:56 +0100

node-marked (4.0.9+ds+~4.0.1-2) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Make build reproducible

 -- Yadd <yadd@debian.org>  Wed, 12 Jan 2022 17:50:31 +0100

node-marked (4.0.9+ds+~4.0.1-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Install UMD files for browser, not cjs ones (Closes: #1003600)
  * Exclude lib from import
  * Use uscan group
  * New upstream version 4.0.9+ds+~4.0.1
  * Update copyright

 -- Yadd <yadd@debian.org>  Wed, 12 Jan 2022 17:35:00 +0100

node-marked (4.0.5+ds-5) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Sun, 09 Jan 2022 11:47:31 +0100

node-marked (4.0.5+ds-4) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Add breaks against node-marked-man < 0.7.0+~0.7.0~
  * Add missing build dependency on dh addon.
  * libjs-marked: add links to old filenames

 -- Yadd <yadd@debian.org>  Sun, 09 Jan 2022 11:30:41 +0100

node-marked (4.0.5+ds-3) unstable; urgency=medium

  * team upload

  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 21:12:29 +0100

node-marked (4.0.5+ds-2) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)

  [ Chris Lamb ]
  * Update reproducible patch (Closes: #1000769)

 -- Yadd <yadd@debian.org>  Sun, 28 Nov 2021 21:40:36 +0100

node-marked (4.0.5+ds-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * New upstream version 4.0.5+ds
  * Update lintian overrides
  * Refresh patches
  * Disable test (needs jasmine)
  * Fix paths
  * Update nodejs dependency to nodejs:any

 -- Yadd <yadd@debian.org>  Sun, 28 Nov 2021 04:30:04 +0100

node-marked (0.8.0+ds+repack-3) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Add ctype=nodejs to component(s)
  * Fix GitHub tags regex
  * Fix usr/bin install for dh-sequence-nodejs ≥ 0.9.78~

 -- Yadd <yadd@debian.org>  Sat, 30 Oct 2021 09:11:06 +0200

node-marked (0.8.0+ds+repack-2) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Drop legacy rollup plugins usage

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 00:05:19 +0530

node-marked (0.8.0+ds+repack-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)

  [ lintian-brush ]
  * Set upstream metadata fields: Security-Contact.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Make build reproducible
  * Reproduce upstream build with rollup
  * Enable upstream unit test using jest
  * Embed @types/marked and repack
  * Apply multi-arch hints (foreign)
  * Add break against node-typescript-types < 20201201~

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Dec 2020 10:47:53 +0100

node-marked (0.8.0+ds-1) unstable; urgency=medium

  * Team upload
  * Drop the prebuilt man page (upstream now generates it via marked-man,
    which would be a circular build dependency; CLI --help still works)
  * Drop the types-marked component (@types/marked 6.0.0 is an empty
    deprecation stub; marked ships its own types upstream)
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12
  * Use pkg-js-tools auto test & install
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Exclude minified file from import
  * New upstream version 0.8.0+ds (Closes: #931877)
  * Install SECURITY.md in docs
  * Install part of upstream doc
  * Update basic test

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Mar 2020 12:39:37 +0100

node-marked (0.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * update Vcs fields in debian/control
  * debian/rules: remove get-orig-tar target, handled by watch
  * change interpreter for executable to /usr/bin/node
  * Bump to standard to 4.2.1

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 28 Oct 2018 10:45:05 +0100

node-marked (0.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes CVE-2017-1000427 (Closes: #886451)
  * Bump to standard to 4.1.3:
    - Move package to section javascript and priority optional

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 07 Jan 2018 12:48:16 +0100

node-marked (0.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: removed obsolete XS-Testsuite
  * debian/control: update Vcs uri to https
  * debian/control: Bump standard to 3.9.8

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 06 Oct 2016 22:15:28 +0200

node-marked (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 16 Jun 2014 20:04:33 +0200

node-marked (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * drop upstream applied man-hyphen.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 15 Feb 2014 19:32:37 +0100

node-marked (0.3.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standard to 3.9.5, no changes required

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 02 Jan 2014 23:42:05 +0100

node-marked (0.2.9+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #662657)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 21 Sep 2013 16:58:33 +0200
